Index: admin/category.php
===================================================================
--- admin/category.php	(revision 3731)
+++ admin/category.php	(revision 3874)
@@ -41,8 +41,8 @@
 
     # Allowed parents list
-    $children        = $core->blog->getCategories(array('start' => $cat_id));
-    $allowed_parents = array(__('Top level') => 0);
-
-    $p = array();
+    $children        = $core->blog->getCategories(['start' => $cat_id]);
+    $allowed_parents = [__('Top level') => 0];
+
+    $p = [];
     while ($children->fetch()) {
         $p[$children->cat_id] = 1;
@@ -61,5 +61,5 @@
 
     # Allowed siblings list
-    $siblings = array();
+    $siblings = [];
     $rs       = $core->blog->getCategoryFirstChildren($cat_parent);
     while ($rs->fetch()) {
@@ -126,5 +126,5 @@
             dcPage::addSuccessNotice(__('The category has been successfully updated.'));
 
-            $core->adminurl->redirect("admin.category", array('id' => $_POST['id']));
+            $core->adminurl->redirect("admin.category", ['id' => $_POST['id']]);
         }
         # Create category
@@ -149,11 +149,11 @@
 $title = $cat_id ? html::escapeHTML($cat_title) : __('New category');
 
-$elements = array(
+$elements = [
     html::escapeHTML($core->blog->name) => '',
     __('Categories')                    => $core->adminurl->get("admin.categories")
-);
+];
 if ($cat_id) {
     while ($parents->fetch()) {
-        $elements[html::escapeHTML($parents->cat_title)] = $core->adminurl->get("admin.category", array('id' => $parents->cat_id));
+        $elements[html::escapeHTML($parents->cat_title)] = $core->adminurl->get("admin.category", ['id' => $parents->cat_id]);
     }
 }
@@ -170,5 +170,5 @@
     dcPage::jsConfirmClose('category-form') .
     dcPage::jsLoad('js/_category.js') .
-    ($rte_flag ? $core->callBehavior('adminPostEditor', $category_editor['xhtml'], 'category', array('#cat_desc'), 'xhtml') : ''),
+    ($rte_flag ? $core->callBehavior('adminPostEditor', $category_editor['xhtml'], 'category', ['#cat_desc'], 'xhtml') : ''),
     dcPage::breadcrumb($elements)
 );
@@ -182,8 +182,8 @@
 '<h3>' . __('Category information') . '</h3>' .
 '<p><label class="required" for="cat_title"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Name:') . '</label> ' .
-form::field('cat_title', 40, 255, array(
+form::field('cat_title', 40, 255, [
     'default'    => html::escapeHTML($cat_title),
     'extra_html' => 'required placeholder="' . __('Name') . '"'
-)) .
+]) .
     '</p>';
 if (!$cat_id) {
@@ -231,5 +231,5 @@
     form::combo('cat_parent', $allowed_parents, $cat_parent) . '</p>' .
     '<p><input type="submit" accesskey="s" value="' . __('Save') . '" />' .
-    form::hidden(array('id'), $cat_id) . $core->formNonce() . '</p>' .
+    form::hidden(['id'], $cat_id) . $core->formNonce() . '</p>' .
         '</form>' .
         '</div>';
@@ -241,9 +241,9 @@
         '<h4>' . __('Category sibling') . '</h4>' .
         '<p><label class="classic" for="cat_sibling">' . __('Move current category') . '</label> ' .
-        form::combo('cat_move', array(__('before') => 'before', __('after') => 'after'),
-            array('extra_html' => 'title="' . __('position: ') . '"')) . ' ' .
+        form::combo('cat_move', [__('before') => 'before', __('after') => 'after'],
+            ['extra_html' => 'title="' . __('position: ') . '"']) . ' ' .
         form::combo('cat_sibling', $siblings) . '</p>' .
         '<p><input type="submit" accesskey="s" value="' . __('Save') . '" />' .
-        form::hidden(array('id'), $cat_id) . $core->formNonce() . '</p>' .
+        form::hidden(['id'], $cat_id) . $core->formNonce() . '</p>' .
             '</form>' .
             '</div>';
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 3731)
+++ admin/comment.php	(revision 3874)
@@ -32,5 +32,5 @@
     try
     {
-        $rs = $core->blog->getPosts(array('post_id' => $_POST['post_id'], 'post_type' => ''));
+        $rs = $core->blog->getPosts(['post_id' => $_POST['post_id'], 'post_type' => '']);
 
         if ($rs->isEmpty()) {
@@ -127,5 +127,5 @@
 
             dcPage::addSuccessNotice(__('Comment has been successfully updated.'));
-            $core->adminurl->redirect("admin.comment", array('id' => $comment_id));
+            $core->adminurl->redirect("admin.comment", ['id' => $comment_id]);
         } catch (Exception $e) {
             $core->error->add($e->getMessage());
@@ -156,16 +156,16 @@
 if ($comment_id) {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             html::escapeHTML($post_title)       => $core->getPostAdminURL($post_type, $post_id) . '&amp;co=1#c' . $comment_id,
             __('Edit comment')                  => ''
-        ));
+        ]);
 } else {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             html::escapeHTML($post_title)       => $core->getPostAdminURL($post_type, $post_id),
             __('Edit comment')                  => ''
-        ));
+        ]);
 }
 
@@ -173,5 +173,5 @@
     dcPage::jsConfirmClose('comment-form') .
     dcPage::jsLoad('js/_comment.js') .
-    $core->callBehavior('adminPostEditor', $comment_editor['xhtml'], 'comment', array('#comment_content'), 'xhtml') .
+    $core->callBehavior('adminPostEditor', $comment_editor['xhtml'], 'comment', ['#comment_content'], 'xhtml') .
     # --BEHAVIOR-- adminCommentHeaders
     $core->callBehavior('adminCommentHeaders'),
@@ -198,5 +198,5 @@
     '<h3>' . __('Information collected') . '</h3>' .
     '<p>' . __('IP address:') . ' ' .
-    '<a href="' . $core->adminurl->get("admin.comments", array('ip' => $comment_ip)) . '">' . $comment_ip . '</a></p>' .
+    '<a href="' . $core->adminurl->get("admin.comments", ['ip' => $comment_ip]) . '">' . $comment_ip . '</a></p>' .
 
     '<p>' . __('Date:') . ' ' .
@@ -206,8 +206,8 @@
     '<h3>' . __('Comment submitted') . '</h3>' .
     '<p><label for="comment_author" class="required"><abbr title="' . __('Required field') . '">*</abbr>' . __('Author:') . '</label>' .
-    form::field('comment_author', 30, 255, array(
+    form::field('comment_author', 30, 255, [
         'default'    => html::escapeHTML($comment_author),
         'extra_html' => 'required placeholder="' . __('Author') . '"'
-    )) .
+    ]) .
     '</p>' .
 
@@ -223,5 +223,5 @@
     '<p><label for="comment_status">' . __('Status:') . '</label>' .
     form::combo('comment_status', $status_combo,
-        array('default' => $comment_status, 'disabled' => !$can_publish)) .
+        ['default' => $comment_status, 'disabled' => !$can_publish]) .
     '</p>' .
 
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 3731)
+++ admin/comments.php	(revision 3874)
@@ -25,15 +25,15 @@
 # Filter form we'll put in html_block
 $status_combo = array_merge(
-    array('-' => ''),
+    ['-' => ''],
     dcAdminCombos::getCommentStatusescombo()
 );
 
-$type_combo = array(
+$type_combo = [
     '-'             => '',
     __('Comment')   => 'co',
     __('Trackback') => 'tb'
-);
-
-$sortby_combo = array(
+];
+
+$sortby_combo = [
     __('Date')        => 'comment_dt',
     __('Entry title') => 'post_title',
@@ -41,16 +41,16 @@
     __('Author')      => 'comment_author',
     __('Status')      => 'comment_status'
-);
-
-$sortby_lex = array(
+];
+
+$sortby_lex = [
     // key in sorty_combo (see above) => field in SQL request
     'post_title'          => 'post_title',
     'comment_author'      => 'comment_author',
-    'comment_spam_filter' => 'comment_spam_filter');
-
-$order_combo = array(
+    'comment_spam_filter' => 'comment_spam_filter'];
+
+$order_combo = [
     __('Descending') => 'desc',
     __('Ascending')  => 'asc'
-);
+];
 
 /* Get comments
@@ -79,5 +79,5 @@
 }
 
-$params['limit']      = array((($page - 1) * $nb_per_page), $nb_per_page);
+$params['limit']      = [(($page - 1) * $nb_per_page), $nb_per_page];
 $params['no_content'] = true;
 
@@ -155,5 +155,5 @@
 
 # Actions combo box
-$combo_action = array();
+$combo_action = [];
 $default      = '';
 if ($core->auth->check('delete,contentadmin', $core->blog->id) && $status == -2) {
@@ -183,8 +183,8 @@
     dcPage::jsLoad('js/_comments.js') . dcPage::jsFilterControl($show_filters),
     dcPage::breadcrumb(
-        array(
+        [
             html::escapeHTML($core->blog->name) => '',
             __('Comments and trackbacks')       => ''
-        ))
+        ])
 );
 if (!empty($_GET['upd'])) {
@@ -200,5 +200,5 @@
     }
 
-    $spam_count = $core->blog->getComments(array('comment_status' => -2), true)->f(0);
+    $spam_count = $core->blog->getComments(['comment_status' => -2], true)->f(0);
     if ($spam_count > 0) {
 
@@ -209,8 +209,8 @@
             if ($spam_count == 1) {
                 echo '<p>' . sprintf(__('You have one spam comment.'), '<strong>' . $spam_count . '</strong>') . ' ' .
-                '<a href="' . $core->adminurl->get("admin.comments", array('status' => -2)) . '">' . __('Show it.') . '</a></p>';
+                '<a href="' . $core->adminurl->get("admin.comments", ['status' => -2]) . '">' . __('Show it.') . '</a></p>';
             } elseif ($spam_count > 1) {
                 echo '<p>' . sprintf(__('You have %s spam comments.'), '<strong>' . $spam_count . '</strong>') . ' ' .
-                '<a href="' . $core->adminurl->get("admin.comments", array('status' => -2)) . '">' . __('Show them.') . '</a></p>';
+                '<a href="' . $core->adminurl->get("admin.comments", ['status' => -2]) . '">' . __('Show them.') . '</a></p>';
             }
         }
@@ -278,17 +278,17 @@
         '<p class="col right"><label for="action" class="classic">' . __('Selected comments action:') . '</label> ' .
         form::combo('action', $comments_actions_page->getCombo(),
-            array('default' => $default, 'extra_html' => 'title="' . __('Actions') . '"')) .
+            ['default' => $default, 'extra_html' => 'title="' . __('Actions') . '"']) .
         $core->formNonce() .
         '<input id="do-action" type="submit" value="' . __('ok') . '" /></p>' .
-        form::hidden(array('type'), $type) .
-        form::hidden(array('sortby'), $sortby) .
-        form::hidden(array('order'), $order) .
-        form::hidden(array('author'), html::escapeHTML(preg_replace('/%/', '%%', $author))) .
-        form::hidden(array('status'), $status) .
-        form::hidden(array('ip'), preg_replace('/%/', '%%', $ip)) .
-        form::hidden(array('page'), $page) .
-        form::hidden(array('nb'), $nb_per_page) .
-        form::hidden(array('email'), html::escapeHTML(preg_replace('/%/', '%%', $email))) .
-        form::hidden(array('site'), html::escapeHTML(preg_replace('/%/', '%%', $site))) .
+        form::hidden(['type'], $type) .
+        form::hidden(['sortby'], $sortby) .
+        form::hidden(['order'], $order) .
+        form::hidden(['author'], html::escapeHTML(preg_replace('/%/', '%%', $author))) .
+        form::hidden(['status'], $status) .
+        form::hidden(['ip'], preg_replace('/%/', '%%', $ip)) .
+        form::hidden(['page'], $page) .
+        form::hidden(['nb'], $nb_per_page) .
+        form::hidden(['email'], html::escapeHTML(preg_replace('/%/', '%%', $email))) .
+        form::hidden(['site'], html::escapeHTML(preg_replace('/%/', '%%', $site))) .
         '</div>' .
 
Index: admin/comments_actions.php
===================================================================
--- admin/comments_actions.php	(revision 3731)
+++ admin/comments_actions.php	(revision 3874)
@@ -23,5 +23,5 @@
 } else {
     $uri  = $core->adminurl->get("admin.comments");
-    $args = array();
+    $args = [];
 }
 
Index: admin/csp_report.php
===================================================================
--- admin/csp_report.php	(revision 3731)
+++ admin/csp_report.php	(revision 3874)
@@ -93,5 +93,5 @@
 
             // Prettify the JSON-formatted data
-            $violation = array_merge(array('hash' => $hash), $data['csp-report']);
+            $violation = array_merge(['hash' => $hash], $data['csp-report']);
             $output    = json_encode($violation, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES);
 
Index: admin/help.php
===================================================================
--- admin/help.php	(revision 3731)
+++ admin/help.php	(revision 3874)
@@ -12,8 +12,7 @@
 dcPage::check('usage,contentadmin');
 
-$helpPage = function () {
-    $ret = array('content' => '', 'title' => '');
+$helpPage = function (...$args) {
+    $ret = ['content' => '', 'title' => ''];
 
-    $args = func_get_args();
     if (empty($args)) {
         return $ret;
@@ -71,13 +70,13 @@
 if ($content_array['title'] != '') {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             __('Global help')       => $core->adminurl->get("admin.help"),
             $content_array['title'] => ''
-        ));
+        ]);
 } else {
     $breadcrumb = dcPage::breadcrumb(
-        array(
+        [
             __('Global help') => ''
-        ));
+        ]);
 }
 
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 3781)
+++ admin/index.php	(revision 3874)
@@ -31,5 +31,5 @@
 dcPage::check('usage,contentadmin');
 
-if ($core->plugins->disableDepModules($core->adminurl->get('admin.home', array()))) {
+if ($core->plugins->disableDepModules($core->adminurl->get('admin.home', []))) {
     exit;
 }
@@ -108,5 +108,5 @@
 
 # Latest news for dashboard
-$__dashboard_items = new ArrayObject(array(new ArrayObject(), new ArrayObject()));
+$__dashboard_items = new ArrayObject([new ArrayObject(), new ArrayObject()]);
 
 $dashboardItem = 0;
@@ -115,5 +115,5 @@
 if ($core->auth->user_prefs->dashboard->doclinks) {
     if (!empty($__resources['doc'])) {
-        $doc_links = '<div class="box small dc-box"><h3>' . __('Documentation and support') . '</h3><ul>';
+        $doc_links = '<div class="box small dc-box" id="doc-and-support"><h3>' . __('Documentation and support') . '</h3><ul>';
 
         foreach ($__resources['doc'] as $k => $v) {
@@ -131,5 +131,5 @@
 
 # Dashboard content
-$__dashboard_contents = new ArrayObject(array(new ArrayObject, new ArrayObject));
+$__dashboard_contents = new ArrayObject([new ArrayObject, new ArrayObject]);
 $core->callBehavior('adminDashboardContents', $core, $__dashboard_contents);
 
@@ -142,5 +142,5 @@
         if ($post_editor && !empty($post_editor[$post_format])) {
             // context is not post because of tags not available
-            $admin_post_behavior = $core->callBehavior('adminPostEditor', $post_editor[$post_format], 'quickentry', array('#post_content'), $post_format);
+            $admin_post_behavior = $core->callBehavior('adminPostEditor', $post_editor[$post_format], 'quickentry', ['#post_content'], $post_format);
         }
     }
@@ -150,4 +150,6 @@
 -------------------------------------------------------- */
 dcPage::open(__('Dashboard'),
+    dcPage::jsLoad('js/jquery/jquery-ui.custom.js') .
+    dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js') .
     dcPage::jsLoad('js/_index.js') .
     $admin_post_behavior .
@@ -155,8 +157,8 @@
     $core->callBehavior('adminDashboardHeaders'),
     dcPage::breadcrumb(
-        array(
+        [
             __('Dashboard') . ' : ' . html::escapeHTML($core->blog->name) => ''
-        ),
-        array('home_link' => false)
+        ],
+        ['home_link' => false]
     )
 );
@@ -164,5 +166,5 @@
 if ($core->auth->getInfo('user_default_blog') != $core->blog->id && $core->auth->getBlogCount() > 1) {
     echo
-    '<p><a href="' . $core->adminurl->get("admin.home", array('default_blog' => 1)) . '" class="button">' . __('Make this blog my default blog') . '</a></p>';
+    '<p><a href="' . $core->adminurl->get("admin.home", ['default_blog' => 1]) . '" class="button">' . __('Make this blog my default blog') . '</a></p>';
 }
 
@@ -189,5 +191,5 @@
 }
 
-$err = array();
+$err = [];
 
 # Check cache directory
@@ -244,40 +246,108 @@
 }
 
-# Dashboard items and contents (processed first, as we need to know the result before displaying the icons.)
-$dashboardItems = '';
-foreach ($__dashboard_items as $i) {
-    foreach ($i as $v) {
-        $dashboardItems .= $v;
-    }
-}
-$dashboardContents = '';
-foreach ($__dashboard_contents as $i) {
-    foreach ($i as $v) {
-        $dashboardContents .= $v;
-    }
-}
-
-# Dashboard elements: icons then boxes (items then contents)
-echo '<div id="dashboard-main">';
-
+# Get current main orders
+$main_order = $core->auth->user_prefs->dashboard->main_order;
+$main_order = ($main_order != '' ? explode(',', $main_order) : []);
+
+# Get current boxes orders
+$boxes_order = $core->auth->user_prefs->dashboard->boxes_order;
+$boxes_order = ($boxes_order != '' ? explode(',', $boxes_order) : []);
+
+# Get current boxes items orders
+$boxes_items_order = $core->auth->user_prefs->dashboard->boxes_items_order;
+$boxes_items_order = ($boxes_items_order != '' ? explode(',', $boxes_items_order) : []);
+
+# Get current boxes contents orders
+$boxes_contents_order = $core->auth->user_prefs->dashboard->boxes_contents_order;
+$boxes_contents_order = ($boxes_contents_order != '' ? explode(',', $boxes_contents_order) : []);
+
+$composeItems = function ($list, $blocks, $flat = false) {
+
+    $ret   = [];
+    $items = [];
+
+    if ($flat) {
+        $items = $blocks;
+    } else {
+        foreach ($blocks as $i) {
+            foreach ($i as $v) {
+                $items[] = $v;
+            }
+        }
+    }
+
+    # First loop to find ordered indexes
+    $order = [];
+    $index = 0;
+    foreach ($items as $v) {
+        if (preg_match('/<div.*?id="([^"].*?)".*?>/ms', $v, $match)) {
+            $id       = $match[1];
+            $position = array_search($id, $list, true);
+            if ($position !== false) {
+                $order[$position] = $index;
+            }
+        }
+        $index++;
+    }
+
+    # Second loop to combine ordered items
+    $index = 0;
+    foreach ($items as $v) {
+        $position = array_search($index, $order, true);
+        if ($position !== false) {
+            $ret[$position] = $v;
+        }
+        $index++;
+    }
+    # Reorder items on their position (key)
+    ksort($ret);
+
+    # Third loop to combine unordered items
+    $index = 0;
+    foreach ($items as $v) {
+        $position = array_search($index, $order, true);
+        if ($position === false) {
+            $ret[count($ret)] = $v;
+        }
+        $index++;
+    }
+
+    return join('', $ret);
+};
+
+# Compose dashboard items (doc, …)
+$dashboardItems = $composeItems($boxes_items_order, $__dashboard_items);
+# Compose dashboard contents (plugin's modules)
+$dashboardContents = $composeItems($boxes_contents_order, $__dashboard_contents);
+
+$__dashboard_boxes = [];
+if ($dashboardItems != '') {
+    $__dashboard_boxes[] = '<div class="db-items" id="db-items">' . $dashboardItems . '</div>';
+}
+if ($dashboardContents != '') {
+    $__dashboard_boxes[] = '<div class="db-contents" id="db-contents">' . $dashboardContents . '</div>';
+}
+$dashboardBoxes = $composeItems($boxes_order, $__dashboard_boxes, true);
+
+# Compose main area
+$__dashboard_main = [];
 if (!$core->auth->user_prefs->dashboard->nofavicons) {
     # Dashboard icons
-    echo '<div id="icons">';
+    $dashboardIcons = '<div id="icons">';
     foreach ($__dashboard_icons as $i) {
-        echo
-        '<p><a href="' . $i[1] . '"><img src="' . dc_admin_icon_url($i[2]) . '" alt="" />' .
+        $dashboardIcons .= '<p><a href="' . $i[1] . '"><img src="' . dc_admin_icon_url($i[2]) . '" alt="" />' .
             '<br /><span class="db-icon-title">' . $i[0] . '</span></a></p>';
     }
-    echo '</div>';
-}
-
+    $dashboardIcons .= '</div>';
+    $__dashboard_main[] = $dashboardIcons;
+}
 if ($core->auth->user_prefs->dashboard->quickentry) {
     if ($core->auth->check('usage,contentadmin', $core->blog->id)) {
         # Getting categories
         $categories_combo = dcAdminCombos::getCategoriesCombo(
-            $core->blog->getCategories(array())
+            $core->blog->getCategories([])
         );
 
-        echo
+        $dashboardQuickEntry =
         '<div id="quick">' .
         '<h3>' . __('Quick entry') . sprintf(' &rsaquo; %s', $core->auth->getOption('post_format')) . '</h3>' .
@@ -285,12 +355,12 @@
         '<h4>' . __('New entry') . '</h4>' .
         '<p class="col"><label for="post_title" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Title:') . '</label>' .
-        form::field('post_title', 20, 255, array(
+        form::field('post_title', 20, 255, [
             'class'      => 'maximal',
             'extra_html' => 'required placeholder="' . __('Title') . '"'
-        )) .
+        ]) .
         '</p>' .
         '<p class="area"><label class="required" ' .
         'for="post_content"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Content:') . '</label> ' .
-        form::textarea('post_content', 50, 10, array('extra_html' => 'required placeholder="' . __('Content') . '"')) .
+        form::textarea('post_content', 50, 10, ['extra_html' => 'required placeholder="' . __('Content') . '"']) .
         '</p>' .
         '<p><label for="cat_id" class="classic">' . __('Category:') . '</label> ' .
@@ -320,16 +390,15 @@
             '</form>' .
             '</div>';
-    }
-}
-
-if ($dashboardContents != '' || $dashboardItems != '') {
-    echo
-        '<div id="dashboard-boxes">' .
-        ($dashboardItems != '' ? '<div class="db-items">' . $dashboardItems . '</div>' : '') .
-        ($dashboardContents != '' ? '<div class="db-contents">' . $dashboardContents . '</div>' : '') .
-        '</div>';
-}
-
-echo '</div>'; #end dashboard-main
+        $__dashboard_main[] = $dashboardQuickEntry;
+    }
+}
+if ($dashboardBoxes != '') {
+    $__dashboard_main[] = '<div id="dashboard-boxes">' . $dashboardBoxes . '</div>';
+}
+$dashboardMain = $composeItems($main_order, $__dashboard_main, true);
+
+# Dashboard elements
+echo '<div id="dashboard-main">' . $dashboardMain . '</div>';
+
 dcPage::helpBlock('core_dashboard');
 dcPage::close();
Index: admin/install/check.php
===================================================================
--- admin/install/check.php	(revision 3795)
+++ admin/install/check.php	(revision 3874)
@@ -12,5 +12,5 @@
 function dcSystemCheck($con, &$err)
 {
-    $err = array();
+    $err = [];
 
     if (version_compare(phpversion(), '5.6', '<')) {
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 3731)
+++ admin/install/index.php	(revision 3874)
@@ -146,8 +146,8 @@
         # date and time formats
         $formatDate   = __('%A, %B %e %Y');
-        $date_formats = array('%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%Y/%m/%d', '%d.%m.%Y', '%b %e %Y', '%e %b %Y', '%Y %b %e',
+        $date_formats = ['%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%Y/%m/%d', '%d.%m.%Y', '%b %e %Y', '%e %b %Y', '%Y %b %e',
             '%a, %Y-%m-%d', '%a, %m/%d/%Y', '%a, %d/%m/%Y', '%a, %Y/%m/%d', '%B %e, %Y', '%e %B, %Y', '%Y, %B %e', '%e. %B %Y',
-            '%A, %B %e, %Y', '%A, %e %B, %Y', '%A, %Y, %B %e', '%A, %Y, %B %e', '%A, %e. %B %Y');
-        $time_formats = array('%H:%M', '%I:%M', '%l:%M', '%Hh%M', '%Ih%M', '%lh%M');
+            '%A, %B %e, %Y', '%A, %e %B, %Y', '%A, %Y, %B %e', '%A, %Y, %B %e', '%A, %e. %B %Y'];
+        $time_formats = ['%H:%M', '%I:%M', '%l:%M', '%Hh%M', '%Ih%M', '%lh%M'];
         if (strtoupper(substr(PHP_OS, 0, 3)) == 'WIN') {
             $formatDate   = preg_replace('#(?<!%)((?:%%)*)%e#', '\1%#d', $formatDate);
@@ -240,5 +240,5 @@
         # Add default favorites
         $core->favs = new dcFavorites($core);
-        $init_favs  = array('posts', 'new_post', 'newpage', 'comments', 'categories', 'media', 'blog_theme', 'widgets', 'simpleMenu', 'prefs', 'help');
+        $init_favs  = ['posts', 'new_post', 'newpage', 'comments', 'categories', 'media', 'blog_theme', 'widgets', 'simpleMenu', 'prefs', 'help'];
         $core->favs->setFavoriteIDs($init_favs, true);
 
@@ -331,21 +331,21 @@
     '<fieldset><legend>' . __('User information') . '</legend>' .
     '<p><label for="u_firstname">' . __('First Name:') . '</label> ' .
-    form::field('u_firstname', 30, 255, array(
+    form::field('u_firstname', 30, 255, [
         'default'      => html::escapeHTML($u_firstname),
         'autocomplete' => 'given-name'
-    )) .
+    ]) .
     '</p>' .
     '<p><label for="u_name">' . __('Last Name:') . '</label> ' .
-    form::field('u_name', 30, 255, array(
+    form::field('u_name', 30, 255, [
         'default'      => html::escapeHTML($u_name),
         'autocomplete' => 'family-name'
-    )) .
+    ]) .
     '</p>' .
     '<p><label for="u_email">' . __('Email:') . '</label> ' .
-    form::email('u_email', array(
+    form::email('u_email', [
         'size'         => 30,
         'default'      => html::escapeHTML($u_email),
         'autocomplete' => 'email'
-    )) .
+    ]) .
     '</p>' .
     '</fieldset>' .
@@ -353,17 +353,17 @@
     '<fieldset><legend>' . __('Username and password') . '</legend>' .
     '<p><label for="u_login" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Username:') . ' ' .
-    form::field('u_login', 30, 32, array(
+    form::field('u_login', 30, 32, [
         'default'      => html::escapeHTML($u_login),
         'extra_html'   => 'required placeholder="' . __('Username') . '"',
         'autocomplete' => 'username'
-    )) .
+    ]) .
     '</label></p>' .
     '<div class="pw-table">' .
     '<p class="pw-cell">' .
     '<label for="u_pwd" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('New password:') . '</label>' .
-    form::password('u_pwd', 30, 255, array(
+    form::password('u_pwd', 30, 255, [
         'extra_html'   => 'data-indicator="pwindicator" required placeholder="' . __('Password') . '"',
         'autocomplete' => 'new-password'
-    )) .
+    ]) .
     '</p>' .
     '<div id="pwindicator">' .
@@ -373,8 +373,8 @@
     '</div>' .
     '<p><label for="u_pwd2" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Confirm password:') . ' ' .
-    form::password('u_pwd2', 30, 255, array(
+    form::password('u_pwd2', 30, 255, [
         'extra_html'   => 'required placeholder="' . __('Password') . '"',
         'autocomplete' => 'new-password'
-    )) .
+    ]) .
     '</label></p>' .
     '</fieldset>' .
@@ -421,6 +421,6 @@
     '<form action="../auth.php" method="post">' .
     '<p><input type="submit" value="' . __('Manage your blog now') . '" />' .
-    form::hidden(array('user_id'), html::escapeHTML($u_login)) .
-    form::hidden(array('user_pwd'), html::escapeHTML($u_pwd)) .
+    form::hidden(['user_id'], html::escapeHTML($u_login)) .
+    form::hidden(['user_pwd'], html::escapeHTML($u_pwd)) .
         '</p>' .
         '</form>';
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 3806)
+++ admin/install/wizard.php	(revision 3874)
@@ -194,11 +194,11 @@
 '<form action="wizard.php" method="post">' .
 '<p><label class="required" for="DBDRIVER"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Database type:') . '</label> ' .
-form::combo('DBDRIVER', array(
+form::combo('DBDRIVER', [
     __('MySQL (deprecated)')  => 'mysql',
     __('MySQLi')              => 'mysqli',
     __('MySQLi (full UTF-8)') => 'mysqlimb4',
     __('PostgreSQL')          => 'pgsql',
-    __('SQLite')              => 'sqlite'),
-    array('default' => $DBDRIVER, 'extra_html' => 'required placeholder="' . __('Driver') . '"')) . '</p>' .
+    __('SQLite')              => 'sqlite'],
+    ['default' => $DBDRIVER, 'extra_html' => 'required placeholder="' . __('Driver') . '"']) . '</p>' .
 '<p><label for="DBHOST">' . __('Database Host Name:') . '</label> ' .
 form::field('DBHOST', 30, 255, html::escapeHTML($DBHOST)) . '</p>' .
@@ -210,15 +210,15 @@
 form::password('DBPASSWORD', 30, 255) . '</p>' .
 '<p><label for="DBPREFIX" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Database Tables Prefix:') . '</label> ' .
-form::field('DBPREFIX', 30, 255, array(
+form::field('DBPREFIX', 30, 255, [
     'default'    => html::escapeHTML($DBPREFIX),
     'extra_html' => 'required placeholder="' . __('Prefix') . '"'
-)) .
+]) .
 '</p>' .
 '<p><label for="ADMINMAILFROM">' . __('Master Email: (used as sender for password recovery)') . '</label> ' .
-form::email('ADMINMAILFROM', array(
+form::email('ADMINMAILFROM', [
     'size'         => 30,
     'default'      => html::escapeHTML($ADMINMAILFROM),
     'autocomplete' => 'email'
-)) .
+]) .
 '</p>' .
 
Index: admin/js/_auth.js
===================================================================
--- admin/js/_auth.js	(revision 3725)
+++ admin/js/_auth.js	(revision 3851)
@@ -3,6 +3,6 @@
 
 $(window).load(function() {
-  var uid = $('input[name=user_id]');
-  var upw = $('input[name=user_pwd]');
+  let uid = $('input[name=user_id]');
+  let upw = $('input[name=user_pwd]');
   uid.focus();
 
@@ -10,8 +10,5 @@
     return;
   }
-
-  uid.keypress(processKey);
-
-  function processKey(evt) {
+  uid.keypress(evt => {
     if (evt.which == 13 && upw.val() == '') {
       upw.focus();
@@ -19,5 +16,6 @@
     }
     return true;
-  }
+  });
+
   $.cookie('dc_admin_test_cookie', true);
   if ($.cookie('dc_admin_test_cookie')) {
